/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetallePremio;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DetallePremioFacadeLocal {

    void create(DetallePremio detallePremio);

    void edit(DetallePremio detallePremio);

    void remove(DetallePremio detallePremio);

    DetallePremio find(Object id);

    List<DetallePremio> findAll();

    List<DetallePremio> findRange(int[] range);

    int count();

    List<DetallePremio> detallePremio(String premioCodigo);

}
